Subject: Re: [bug#29820] [PATCH] services: cgit: Add more configuration fields.

From: Oleg Pykhalov <[email-masked]>
Date: Sun, 25 Feb 2018 08:25:31 +0300

Hello Clément,

Clément Lassieur <[email-masked]> writes:

[...]

>>>>> I think the official project uses 'cgit' instead of 'Cgit' (there are
>>>>> other occurrences where you use 'Cgit').
>>>>
>>>> Ludovic asked to capitalize cgit in
>>>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28283#14
>>>
>>> But he was only talking about titles wasn't he?
>>
>> I think not only, because we have Cgit everywhere in the current
>> documentation.
>
> Then it should be changed to 'cgit', there is no need to copy
> documentation mistakes :-).  This is an example of commit from Ludovic
> where he doesn't capitalize 'zlib':
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=06e3a5181efa0ea83bb6608d3cbfba5caa56d7e9.

OK.  Also I see in cgit README [1], they use “cgit” even in titles.

On the other hand it feels wrong to me, because it's a name of the
program, like Guile, Guix, Linux or Emacs.  It might be better to stick
to that convention for readability (e.g. not ‘cgit’ as a command or a
file name, but as a project name “Cgit”).  And because of we rename even
configuration options like ‘scan-path’, it's OK to force the
capitalization also.  WDYT?

[1] https://git.zx2c4.com/cgit/tree/README

Thanks,
Oleg.